Bug 1313068 - Backport SWITCHYARD-2878 to FSW 6.0
Backport SWITCHYARD-2878 to FSW 6.0
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: tcunning
Matej Melko
:
Depends On:
Blocks: 1262624
  Show dependency treegraph
 
Reported: 2016-02-29 15:57 EST by Rick Wagner
Modified: 2016-03-01 09:28 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Replicator (36.51 KB, application/x-gzip)
2016-02-29 15:57 EST, Rick Wagner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2878 Major Resolved Disassociate transaction explicitly on Status.STATUS_ROLLEDBACK 2016-06-02 03:44 EDT

  None (edit)
Description Rick Wagner 2016-02-29 15:57:47 EST
Created attachment 1131706 [details]
Replicator

Switchyard application shows javax.resource.ResourceException: IJ000460: Error checking for a transaction.  (See attached replicator application.)

Per the reporting customer:
"I only get the error when I use the GLOBAL transaction in switchyard.xml. 
Per the engineer's notes, I set the transaction timeout very low:
<coordinator-environment default-timeout="3"/>"

Note You need to log in before you can comment on or make changes to this bug.